package com.kingdee.eas.custom.log;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncLogFactory
{
    private SyncLogFactory()
    {
    }
    public static com.kingdee.eas.custom.log.ISyncLog getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLog)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("95A0551A") ,com.kingdee.eas.custom.log.ISyncLog.class);
    }
    
    public static com.kingdee.eas.custom.log.ISyncLog getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLog)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("95A0551A") ,com.kingdee.eas.custom.log.ISyncLog.class, objectCtx);
    }
    public static com.kingdee.eas.custom.log.ISyncLog getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLog)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("95A0551A"));
    }
    public static com.kingdee.eas.custom.log.ISyncLog getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.log.ISyncLog)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("95A0551A"));
    }
}